#ifndef CGS_SYNOM_LST_H
#define CGS_SYNOM_LST_H 1

#include "cgi-search.h"
#include <stdio.h>


/*  Synonym index  */
struct synidx {
    int org;	/*  Offset to word  */
    int syn;	/*  Offset to synonym  */
};

/*  Synonym ptrs */
struct synonym {
    char *org;	/*  Word  */
    char *syn;	/*  Synonym  */
};

/*  Synonym table  */
struct synwrd {
    char org[CGS_WRD_SIZ];	/*  Word  */
    char syn[CGS_WRD_SIZ];	/*  It's synonym  */
    int  num;			/*  Word index nr  */
    int  len;			/*  Word length  */
    int  ptr;			/*  Synonym index nr  */
    int  pad;			/*  To make multiple of eight  */
};

#endif  /*  synonyms.h   */

